[package]
name = "pbc_contract_common"
version.workspace = true
edition.workspace = true

license.workspace = true
description.workspace = true
homepage.workspace = true
repository.workspace = true
documentation.workspace = true

[features]
abi = ["pbc_traits/abi", "pbc_zk_core/abi", "pbc_data_types/abi"]
test_examples = []

[dependencies]
quote = { workspace = true }
sha2 = { workspace = true }

sorted_vec_map = { path = "../sorted_vec_map" }
read_write_state_derive = { path = "../read_write_state_derive" }
read_write_rpc_derive = { path = "../read_write_rpc_derive" }
create_type_spec_derive = { path = "../create_type_spec_derive" }
pbc_traits = { path = "../pbc_traits" }
pbc_zk_core = { path = "../pbc_zk_core" }
pbc_data_types = { path = "../pbc_data_types" }
pbc_abi = { path = "../pbc_abi" }

[dev-dependencies]
file_diff = { workspace = true }
create_type_spec_derive = { path = "../create_type_spec_derive" }
pbc_data_types = { path = "../pbc_data_types", features = ["abi"] }
pbc_zk = { path = "../pbc_zk" }
test_utility = { path = "../test_utility" }
